<?php
   $target='guia';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Movimientos/estados.php"); 

   $nombrepagina = "ELIMINAR GUIA";
   encabezado($target);
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	 class llamado{
	 	var $menuObj;
	    function validar1($id_user,$id_sucursal){
	    	$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
	  	}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 class obtiene{
	 	var $userObj;
		function obtener($perfil){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($_GET['suc']);
			$_SESSION['tabla_guia']=$tabla;
		}
	 }
	 $eliminaObj=new obtiene();
	 $eliminaObj->obtener($suc);
	 $tabla=$_SESSION['tabla_guia']; 
	 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Eliminacion de Guias ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Numero de Guia:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="guia" class="inputbox" size="25">
<input type="hidden" name="tabla" value="<? echo $tabla?>" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Eliminar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){

     }else{
	
		class crearEstados{
	   		var $crearObj;
	  		var $conexionObj;
	  		var $estado;
	  		function validar($guia,$tabla){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM ".$tabla." WHERE guia='".$guia."'");
				if(mysql_num_rows($rst_validar)>=1){
					$this->EliminarDatos($guia,$tabla);
				}else{
					$msgBOX2 = "Guia No Existe en Sistema.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";				
				}
			}
			function EliminarDatos($guia,$tabla){
	 			$rst_insertar=$this->conexionObj->modificar("DELETE FROM ".$tabla." WHERE guia = '".$guia."'");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
			    	$msgBOX2 = "Guia Eliminada del Sistema.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
			    	$msgBOX2 = "La Guia No Pudo ser Eliminada.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearEstadosObj=new crearEstados();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$crearEstadosObj->validar($_POST['guia'],$_POST['tabla']);

}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>